Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.upgrade.common
Class AddClassObjectAttributeAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.JDBCAction
              oracle.ifs.admin.upgrade.common.CreateDatabaseObjectsAction
                  oracle.ifs.admin.upgrade.common.AddClassObjectAttributeAction

All Implemented Interfaces:
  Action, IfsParameters

    public abstract class AddClassObjectAttributeAction

extends CreateDatabaseObjectsAction

An AddClassObjectAttributeAction is an abstract action which can be used to add an Attribute to the CLASSOBJECT ClassObject. This has to be done in SQL due to recursion problems in resolving the attributes of a ClassObject internally.

(Unpublished)

Field Summary
`static java.lang.String` | `AUDITTABLE_NAME`
`static java.lang.String` | `AUDITVIEW_NAME`
`static java.lang.String` | `TABLE_NAME`
`static java.lang.String` | `VIEW_NAME`

Fields inherited from class oracle.ifs.admin.actions.JDBCAction
`NOLOG`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`AddClassObjectAttributeAction()`

Method Summary
`protected void` | `addClassObjectAttributeIfNecessary(java.sql.Connection conn, java.lang.String attrName, java.lang.String columnName, java.lang.String attrDesc, int datatype, int datalen, int refIntegrity, boolean isRequired, boolean isIndexed, boolean isSettable, boolean isUpdateable)` Add the attribute to the CLASSOBJECT class, after checking to see if the attribute exists already first.

Methods inherited from class oracle.ifs.admin.upgrade.common.CreateDatabaseObjectsAction
`analyze, analyzeTable, closeResultSet, closeStatement, columnExists, commit, createIndex, createIndex, createIndex, createIndex, createIndex, createIndex, createSequence, createTable, createView, dropIndex, dropSequence, dropTable, dropView, executeStatement, executeUpdate, failed, getNextSequenceValue, getSchemaName, getTimestamp, isValidConnection, log, log, printStackTrace, rollback, rowExists, rowExists, stop, tableExists`

Methods inherited from class oracle.ifs.admin.actions.JDBCAction
`execute, perform, setDatabaseUrl, setPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TABLE_NAME

    public static final java.lang.String TABLE_NAME

See Also:
  Constant Field Values

### AUDITTABLE_NAME

    public static final java.lang.String AUDITTABLE_NAME

See Also:
  Constant Field Values

### VIEW_NAME

    public static final java.lang.String VIEW_NAME

See Also:
  Constant Field Values

### AUDITVIEW_NAME

    public static final java.lang.String AUDITVIEW_NAME

See Also:
  Constant Field Values

Constructor Detail

### AddClassObjectAttributeAction

    public AddClassObjectAttributeAction()

Method Detail

### addClassObjectAttributeIfNecessary

    protected void addClassObjectAttributeIfNecessary(java.sql.Connection conn,
                                                      java.lang.String attrName,
                                                      java.lang.String columnName,
                                                      java.lang.String attrDesc,
                                                      int datatype,
                                                      int datalen,
                                                      int refIntegrity,
                                                      boolean isRequired,
                                                      boolean isIndexed,
                                                      boolean isSettable,
                                                      boolean isUpdateable)
                                               throws java.sql.SQLException,
                                                      ActionFailedException

  Description copied from class: `AddClassObjectAttributeAction`
  Add the attribute to the CLASSOBJECT class, after checking to see if the attribute exists already first.

  Throws:
    `java.sql.SQLException`
    `ActionFailedException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD